> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/nfc-wallet-sdk-android/es/get-started/configuration/1.-binary-integration.md).

# 1. Integración binaria

## Integre el SDK NFC Wallet para Android

Use esta guía para agregar las bibliotecas del SDK NFC Wallet a su Android **aplicación de cartera digital**.

### Configuraciones compatibles

La última versión del SDK NFC Wallet para Android admite las siguientes configuraciones para esta integración:

* **Versión de Android:** 8.1 a 16.0
* **Arquitectura de CPU (ABI):** `armeabi-v7a`, `arm64-v8a`

{% hint style="info" %}
Las versiones de Android compatibles son específicas de cada versión del SDK. Para conocer el estado de compatibilidad más reciente, consulte [Compatibilidad del sistema operativo móvil](/nfc-wallet-sdk-android/es/general/mobile-os-compatibility.md).
{% endhint %}

### Copie los archivos AAR

Obtenga los archivos AAR del SDK de [Entregables](/nfc-wallet-sdk-android/es/general/deliverables.md).

Cópielos en una carpeta dedicada en su proyecto. Por ejemplo:

```
./dependencies
 ├── TSHPaySDK-dev-[version].[qualifier].aar
 └── TSHPaySDK-release-[version].[qualifier].aar
```

{% hint style="info" %}
NFC Wallet SDK se llamaba anteriormente **TSH Pay SDK**.

Algunas entregas aún usan `TSHPaySDK-...` como prefijo del nombre de archivo AAR.
{% endhint %}

### Configure los repositorios

Agregue la carpeta como un repositorio Maven local usando `flatDir`.

{% tabs %}
{% tab title="Groovy (settings.gradle)" %}
{% code title="settings.gradle" %}

```groovy
dependencyResolutionManagement {
    repositories {
        google()
        mavenCentral()
        maven { url 'https://developer.huawei.com/repo/' }
        flatDir { dirs "$rootDir/dependencies" }
    }
}
```

{% endcode %}
{% endtab %}

{% tab title="Groovy (root build.gradle)" %}
{% code title="build.gradle" %}

```groovy
allprojects {
    repositories {
        google()
        mavenCentral()
        maven { url 'https://developer.huawei.com/repo/' }
        flatDir { dirs "${rootProject.projectDir}/dependencies" }
    }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Habilite las divisiones de ABI

Habilite las divisiones de ABI para reducir el tamaño del APK (un APK por ABI). Consulte [Compilar varios APK](/nfc-wallet-sdk-android/es/get-started/configuration/1.-binary-integration/build-multiple-apks.md).

### Agregar dependencias

Declare en las dependencias:

* AAR de NFC Wallet
* dependencias de bibliotecas externas requeridas:
  * JNA ([Java Native Access](https://github.com/java-native-access/jna/tree/5.17.0))

{% code title="app/build.gradle" expandable="true" %}

```groovy
def nfcWalletSdkVersion = "[version].[qualifier]"

dependencies {
    // SDK NFC Wallet (los nombres de archivo AAR aún pueden comenzar con "TSHPaySDK")
    debugImplementation(name: "TSHPaySDK-dev-${nfcWalletSdkVersion}", ext: "aar")
    releaseImplementation(name: "TSHPaySDK-release-${nfcWalletSdkVersion}", ext: "aar")

    // Dependencia del SDK
    // JNA
    implementation(libs.jna) { artifact { type = 'aar' } }
    
    // FCM - notificaciones push de Google
    implementation platform(libs.firebase.bom)
    implementation libs.firebase.messaging
    implementation libs.firebase.analytics

    // Aplicación multidex para evitar cualquier problema de tamaño.
    implementation libs.multidex
}
```

{% endcode %}

{% hint style="warning" %}
Se requiere JNA 5.17.0 o posterior para admitir dispositivos que usan páginas de memoria de 16 KB.
{% endhint %}

{% hint style="info" %}
Si usa notificaciones push (FCM o HMS Push Kit), agregue las dependencias requeridas. Consulte [Configure el proveedor de push](/nfc-wallet-sdk-android/es/get-started/configuration/5.-push-notifications/configure-push-provider.md).
{% endhint %}

### Verifique la compilación

El proyecto ya debería estar listo para sincronizarse y compilarse.

1. Sincronice Gradle.
2. Compile la variante `dev` .

{% hint style="info" %}
Debe cumplir con los requisitos de nivel de API objetivo de Google Play para versiones nuevas o actualizadas de aplicaciones de cartera digital. Consulte [Cumpla con el requisito de nivel de API objetivo de Google Play](https://developer.android.com/google/play/requirements/target-sdk).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/nfc-wallet-sdk-android/es/get-started/configuration/1.-binary-integration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
